from setuptools import setup, find_packages

setup(name='lpack',
      version='2.4.7',
      description=(
          '这是一个常用的爬虫开发和深度学习使用的个人开发包，因部分功能比较通用，现将其打包到pip'
      ),
      long_description='For detail please step to https://github.com/robbebluecp/pack',
      long_description_content_type="text/markdown",
      author='Robbe',
      author_email='robbebluecp@gmail.com',
      maintainer='Robbe',
      maintainer_email='robbebluecp@gmail.com',
      license='MIT License',
      packages=find_packages(),
      package_data={'': ['*.so']},
      platforms=["all"],
      url='https://github.com/robbebluecp/pack',
      classifiers=[
          "Environment :: Web Environment",
          "Intended Audience :: Developers",
          "Operating System :: OS Independent",
          "Topic :: Text Processing :: Indexing",
          "Topic :: Utilities",
          "Topic :: Internet",
          "Topic :: Software Development :: Libraries :: Python Modules",
          "Programming Language :: Python",
          'Programming Language :: Python :: 3.5',
          'Programming Language :: Python :: 3.6',
          'Programming Language :: Python :: 3.7'
      ],
      install_requires=[
          'pymssql',
          'pymysql',
          'concurrent_log_handler',
          'pillow',
          'numpy',
          'scipy',
          'matplotlib',
          'redis',
          'pandas',
          'pydot',
          'opencv-python==4.2.0.34',
          'mitmproxy',
          'py2neo',
          'pymongo',
          'rejson',
          'oss2',
          'pillow',
          'googletrans',
          'emoji',
          'pika',
          'fastapi',
          'gevent',
          'gunicorn',
          'uvicorn',
          'greenlet',
          'sse-starlette',
          'pyotp',
          'qrcode'
      ])